unit UsimpleDemo;

interface

uses
  SysUtils, Types, Classes, Variants, QTypes, QGraphics, QControls, QForms, 
  QDialogs, QStdCtrls, smppclient;

type
  TForm1 = class(TForm)
    Button1: TButton;
    SmppClient1: TSmppClient;
    Memo1: TMemo;
    Button2: TButton;
    Button3: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Edit3: TEdit;
    Edit4: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    Edit5: TEdit;
    Label5: TLabel;
    Edit6: TEdit;
    Label6: TLabel;
    procedure SmppClient1RcxOnData(Sender: TObject);
    procedure SmppClient1TcxOnData(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.xfm}

procedure TForm1.SmppClient1RcxOnData(Sender: TObject);
begin
  memo1.lines.add( SmppClient1.Rcx.rcxData );
end;

procedure TForm1.SmppClient1TcxOnData(Sender: TObject);
begin
  memo1.lines.add( SmppClient1.Tcx.tcxData );

end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  SmppClient1.ClientInfo.Host := Edit4.Text;
  SmppClient1.ClientInfo.Port := strToInt( Edit5.Text );

  SmppClient1.ClientInfo.UserID     := Edit2.Text ;
  SmppClient1.ClientInfo.Password   := Edit3.Text ;
  SmppClient1.ClientInfo.SystemType := Edit6.Text ;

  SmppClient1.Connect;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  SmppClient1.ClientInfo.submit_source_addr_ton := 0;
  SmppClient1.ClientInfo.submit_source_addr_npi := 1;
  SmppClient1.ClientInfo.submit_dest_addr_ton   := 1;
  SmppClient1.ClientInfo.submit_dest_addr_npi   := 1;

  SmppClient1.Send( '1234', Edit1.Text , '', 'Hello' );
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  SmppClient1.Disconnect;
end;

end.
